Skip to main content
GET
/
partners
/
balances
/
currency
/
{currency}
cURL
curl --request GET \
  --url https://api.hyperrails.io/api/v1/partners/balances/currency/{currency} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperrails.io/api/v1/partners/balances/currency/{currency}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperrails.io/api/v1/partners/balances/currency/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "accountId": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
    "currency": "GHS",
    "balance": 3,
    "availableBalance": 3
  }
]
{
"code": "INVALID_CURRENCY",
"message": "Invalid source currency. Supported: NGN, GHS",
"details": {}
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token

Path Parameters

currency
string
required

The unique identifier of the account currency.

Response

Returns all balance by account ID

accountId
string<uuid>
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

currency
string
Example:

"GHS"

balance
number<float>
Example:

3

availableBalance
number<float>
Example:

3